summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-dns/knot')
-rw-r--r--net-dns/knot/Manifest7
-rw-r--r--net-dns/knot/knot-2.6.3.ebuild102
2 files changed, 106 insertions, 3 deletions
diff --git a/net-dns/knot/Manifest b/net-dns/knot/Manifest
index cc11cee4e418..96e5bffe364d 100644
--- a/net-dns/knot/Manifest
+++ b/net-dns/knot/Manifest
@@ -1,3 +1,4 @@
-DIST knot-2.4.5.tar.xz 1111536 SHA256 87ce8ccc83511c5a1f4eadd3f0122f2f5ae86fb68e9b72f0700c6f5340ba95cb SHA512 db4919dbe2dc688f401e6611d784d47e1d40a0f8ec8c8cd6240d89ab9dd2ce7dd1976ac7cb24c712ed8aa074e0026ff0a10e9d6d5e685929d271ae554d9a1cff WHIRLPOOL cdfdf0bc2591df8436f8ab0959581129cb1a4d86138f6bb75b507d83280c7d567eb794e3b76b8374d4087721de53e4afd7566411b8e51fa2655e9e5462357ef4
-DIST knot-2.5.6.tar.xz 1081756 SHA256 37d1625c2aaefe2394c85f6742a6ae9421e8348318c13119a6c451796c387cfc SHA512 dcc58791469c8e4724a47b47105bf0c047bcf62611d6803a07a856bb281d72a397b186210087ff8f145232315bbd9baa194a7cdef10d1ebb36ca3b8c0a0c7379 WHIRLPOOL 199470662eb55971f5581a97d396342664789eb5803ae570598b4254bc14ad8f8fb9ca21198a42a26506fb7d29ed9417c42730651bd9ec38c48c50dbedf4726a
-DIST knot-2.6.1.tar.xz 1112956 SHA256 3013d45b4c7484268f3cad078f66f730a5bc9606e6b1061488dd821c1dce41e3 SHA512 f4eaf311adcdfd13628c7174333bcc766b300be573f7df32eaaf162c5857e0ba35ce5a5e022f799c95618203abbe8db93e2364f172a87c4dd4eaf90b30ef8428 WHIRLPOOL f69c58c9211b18e512e851044ba830c4011618175f6b78a37702e1afe9ed70ab244b1077a2d6ece745d064d2ad0131f61405c5fe811b108e85d86cd428fa4d7b
+DIST knot-2.4.5.tar.xz 1111536 BLAKE2B 88a603c2b6a467046021fc16fc003310f8902f9c2717b90753fcbbff059dcef9cbe954e0278818fc8a7ed6309dbd474236ca6ad09665cc8a71a6e094eab8fd0d SHA512 db4919dbe2dc688f401e6611d784d47e1d40a0f8ec8c8cd6240d89ab9dd2ce7dd1976ac7cb24c712ed8aa074e0026ff0a10e9d6d5e685929d271ae554d9a1cff
+DIST knot-2.5.6.tar.xz 1081756 BLAKE2B a016be4b7080175cc83bacc23cbf08b15e5c8dcdd63da0d6ca61dcbd8aa2d75952a2becf7c9f2f65b43e004bd54641198afc6402a0714046a4f631aaa193ae2d SHA512 dcc58791469c8e4724a47b47105bf0c047bcf62611d6803a07a856bb281d72a397b186210087ff8f145232315bbd9baa194a7cdef10d1ebb36ca3b8c0a0c7379
+DIST knot-2.6.1.tar.xz 1112956 BLAKE2B 28c2c2318713c63ce389ab768bedbcf3b2799d9d660d978e77ba68e40aff40de8eb0e31cc7b42d00230beff418ba2d20032e2e01c5dc26a6813e02e10711195a SHA512 f4eaf311adcdfd13628c7174333bcc766b300be573f7df32eaaf162c5857e0ba35ce5a5e022f799c95618203abbe8db93e2364f172a87c4dd4eaf90b30ef8428
+DIST knot-2.6.3.tar.xz 1112408 BLAKE2B c2a04e951427fe667b1bef63f4ca4fca8fa099f7c7a0a7e61562a5a5f9f44208118f59debbf67eabba72c5f924412c54f650450e71c592f033d99d061060f103 SHA512 51e1c2abe6149173ded2c48e70ca9a563f76013aae95e53e9c4b5c2325bce44b21b410f7ce773012bc6e6d0b3db21aeffd697669fbeb34137af70af5dcd3f157
diff --git a/net-dns/knot/knot-2.6.3.ebuild b/net-dns/knot/knot-2.6.3.ebuild
new file mode 100644
index 000000000000..90e03e2d7048
--- /dev/null
+++ b/net-dns/knot/knot-2.6.3.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit systemd user
+
+DESCRIPTION="High-performance authoritative-only DNS server"
+HOMEPAGE="https://www.knot-dns.cz/"
+SRC_URI="https://secure.nic.cz/files/knot-dns/${P/_/-}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+KNOT_MODULES=(
+ "+dnsproxy"
+ "dnstap"
+ "+noudp"
+ "+onlinesign"
+ "rosedb"
+ "+rrl"
+ "+stats"
+ "+synthrecord"
+ "+whoami"
+)
+IUSE="doc caps +fastparser idn libidn2 systemd +utils ${KNOT_MODULES[@]}"
+
+RDEPEND="
+ >=dev-db/lmdb-0.9.15
+ dev-libs/libedit
+ >=dev-libs/userspace-rcu-0.5.4
+ dev-python/lmdb
+ >=net-libs/gnutls-3.3:=
+ caps? ( >=sys-libs/libcap-ng-0.6.4 )
+ dnstap? (
+ dev-libs/fstrm
+ dev-libs/protobuf-c
+ )
+ idn? (
+ !libidn2? ( net-dns/libidn )
+ libidn2? ( >=net-dns/libidn2-2.0.0 )
+ )
+ systemd? ( >=sys-apps/systemd-229 )
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( dev-python/sphinx )
+"
+
+S="${WORKDIR}/${P/_/-}"
+
+src_configure() {
+ local u
+ local my_conf=()
+ for u in "${KNOT_MODULES[@]#+}"; do
+ my_conf+=("$(use_with $u module-$u)")
+ done
+
+ econf \
+ --with-storage="${EPREFIX}/var/lib/${PN}" \
+ --with-rundir="${EPREFIX}/var/run/${PN}" \
+ $(use_enable fastparser) \
+ $(use_enable dnstap) \
+ $(use_enable doc documentation) \
+ $(use_enable utils utilities) \
+ --enable-systemd=$(usex systemd) \
+ $(use_with idn libidn) \
+ "${my_conf[@]}"
+}
+
+src_compile() {
+ default
+
+ if use doc; then
+ emake -C doc html
+ HTML_DOCS=( doc/_build/html/{*.html,*.js,_sources,_static} )
+ fi
+}
+
+src_test() {
+ emake check
+}
+
+src_install() {
+ default
+
+ rmdir "${D}var/run/${PN}" "${D}var/run/" || die
+ keepdir /var/lib/${PN}
+
+ newinitd "${FILESDIR}/knot.init" knot
+ if use systemd; then
+ systemd_newunit "${FILESDIR}/knot-1.service" knot.service
+ fi
+
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ enewgroup knot 53
+ enewuser knot 53 -1 /var/lib/knot knot
+}